## avldrums.lv2 0.4.1

=== Makefile ===
#!/usr/bin/make -f

# these can be overridden using make variables. e.g.
#   make CFLAGS=-O2
#   make install DESTDIR=$(CURDIR)/debian/avldrums.lv2 PREFIX=/usr
#
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man/man1
# see http://lv2plug.in/pages/filesystem-hierarchy-standard.html, don't use libdir
LV2DIR ?= $(PREFIX)/lib/lv2

OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
CFLAGS ?= -Wall -g -Wno-unused-function
STRIP  ?= strip

BUILDOPENGL?=yes

avldrums_VERSION?=$(shell git describe --tags HEAD 2>/dev/null | sed 's/-g.*$$//;s/^v//' || echo "LV2")
RW ?= robtk/

###############################################################################

BUILDDIR = build/
APPBLD   = x42/

###############################################################################

LV2NAME=avldrums
LV2GUI=avldrumsUI_gl
BUNDLE=avldrums.lv2
targets=

LOADLIBES=-lm
LV2UIREQ=
GLUICFLAGS=-I.

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LV2LDFLAGS=-dynamiclib
  LIB_EXT=.dylib
  EXE_EXT=
  UI_TYPE=ui:CocoaUI
  PUGL_SRC=$(RW)pugl/pugl_osx.m
  PKG_GL_LIBS=
  GLUILIBS=-framework Cocoa -framework OpenGL -framework CoreFoundation
  STRIPFLAGS=-u -r -arch all -s $(RW)lv2syms
  EXTENDED_RE=-E
else
  LV2LDFLAGS=-Wl,-Bstatic -Wl,-Bdynamic -Wl,--as-needed -pthread
  LIB_EXT=.so
  EXE_EXT=
  UI_TYPE=ui:X11UI
  PUGL_SRC=$(RW)pugl/pugl_x11.c
  PKG_GL_LIBS=glu gl
  GLUILIBS=-lX11
  GLUICFLAGS+=`pkg-config --cflags glu`
  STRIPFLAGS= -s
  EXTENDED_RE=-r
endif

ifneq ($(XWIN),)
  CC=$(XWIN)-gcc
  CXX=$(XWIN)-g++
  STRIP=$(XWIN)-strip
  LV2LDFLAGS=-Wl,-Bstatic -Wl,-Bdynamic -Wl,--as-needed -pthread
  LIB_EXT=.dll
  EXE_EXT=.exe
  PUGL_SRC=$(RW)pugl/pugl_win.cpp
  PKG_GL_LIBS=
  UI_TYPE=ui:WindowsUI
  GLUILIBS=-lws2_32 -lwinmm -lopengl32 -lglu32 -lgdi32 -lcomdlg32 -lpthread
  GLUICFLAGS=-I.
  override LDFLAGS += -static-libgcc -static-libstdc++
endif

ifeq ($(EXTERNALUI), yes)
  UI_TYPE=
endif

ifeq ($(UI_TYPE),)
  UI_TYPE=kx:Widget
  LV2UIREQ+=lv2:requiredFeature kx:Widget;
  override CFLAGS += -DXTERNAL_UI
endif

targets+=$(BUILDDIR)$(LV2NAME)$(LIB_EXT)

targets+=$(BUILDDIR)Red_Zeppelin_4_LV2.sf2
targets+=$(BUILDDIR)Black_Pearl_4_LV2.sf2

UITTL=
ifneq ($(BUILDOPENGL), no)
  targets+=$(BUILDDIR)$(LV2GUI)$(LIB_EXT)
  UITTL=ui:ui $(LV2NAME):ui_gl ;
endif

###############################################################################
# extract versions
LV2VERSION=$(avldrums_VERSION)
include git2lv2.mk

###############################################################################
# check for build-dependencies
ifeq ($(shell pkg-config --exists lv2 || echo no), no)
  $(error "LV2 SDK was not found")
endif

ifeq ($(shell pkg-config --atleast-version=1.6.0 lv2 || echo no), no)
  $(error "LV2 SDK needs to be version 1.6.0 or later")
endif

ifeq ($(shell pkg-config --exists glib-2.0 || echo no), no)
  $(error "glib-2.0 was not found.")
endif

ifneq ($(BUILDOPENGL), no)
 ifeq ($(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) || echo no), no)
  $(error "This plugin requires cairo pango $(PKG_GL_LIBS)")
 endif
endif

# check for lv2_atom_forge_object  new in 1.8.1 deprecates lv2_atom_forge_blank
ifeq ($(shell pkg-config --atleast-version=1.8.1 lv2 && echo yes), yes)
  override CFLAGS += -DHAVE_LV2_1_8
endif

ifneq ($(BUILDOPENGL), no)
 ifneq ($(MAKECMDGOALS), submodules)
  ifeq ($(wildcard $(RW)robtk.mk),)
    $(warning "**********************************************************")
    $(warning This plugin needs https://github.com/x42/robtk)
    $(warning "**********************************************************")
    $(info )
    $(info set the RW environment variale to the location of the robtk headers)
    ifeq ($(wildcard .git),.git)
      $(info or run 'make submodules' to initialize robtk as git submodule)
    endif
    $(info )
    $(warning "**********************************************************")
    $(error robtk not found)
  endif
 endif
endif

# LV2 idle >= lv2-1.6.0
GLUICFLAGS+=-DHAVE_IDLE_IFACE
LV2UIREQ+=lv2:requiredFeature ui:idleInterface; lv2:extensionData ui:idleInterface;

# add library dependent flags and libs
override CFLAGS += $(OPTIMIZATIONS) -DVERSION="\"$(avldrums_VERSION)\""
override CFLAGS += `pkg-config --cflags lv2 glib-2.0`
ifeq ($(XWIN),)
override CFLAGS += -fPIC -fvisibility=hidden
else
override CFLAGS += -DPTW32_STATIC_LIB
endif
override LOADLIBES += `pkg-config $(PKG_UI_FLAGS) --libs glib-2.0`


GLUICFLAGS+=`pkg-config --cflags cairo pango` $(CFLAGS)
GLUILIBS+=`pkg-config $(PKG_UI_FLAGS) --libs cairo pango pangocairo $(PKG_GL_LIBS)`

ifneq ($(XWIN),)
GLUILIBS+=-lpthread -lusp10
endif

GLUICFLAGS+=$(LIC_CFLAGS)
GLUILIBS+=$(LIC_LOADLIBES)


ifneq ($(LIC_CFLAGS),)
  LV2SIGN=lv2:extensionData <http:\\/\\/harrisonconsoles.com\\/lv2\\/license\#interface>\\;
  override CFLAGS += -I$(RW)
endif

ROBGL+= Makefile

###############################################################################
# build target definitions
default: all

submodule_pull:
	-test -d .git -a .gitmodules -a -f Makefile.git && $(MAKE) -f Makefile.git submodule_pull

submodule_update:
	-test -d .git -a .gitmodules -a -f Makefile.git && $(MAKE) -f Makefile.git submodule_update

submodule_check:
	-test -d .git -a .gitmodules -a -f Makefile.git && $(MAKE) -f Makefile.git submodule_check

submodules:
	-test -d .git -a .gitmodules -a -f Makefile.git && $(MAKE) -f Makefile.git submodules

all: submodule_check $(BUILDDIR)manifest.ttl $(BUILDDIR)$(LV2NAME).ttl $(targets)

$(BUILDDIR)manifest.ttl: lv2ttl/manifest.ttl.in lv2ttl/manifest.gui.in Makefile
	@mkdir -p $(BUILDDIR)
	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@LIB_EXT@/$(LIB_EXT)/" \
		lv2ttl/manifest.ttl.in > $(BUILDDIR)manifest.ttl
ifneq ($(BUILDOPENGL), no)
	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/;s/@LV2GUI@/$(LV2GUI)/g" \
		lv2ttl/manifest.gui.in >> $(BUILDDIR)manifest.ttl
endif

$(BUILDDIR)$(LV2NAME).ttl: Makefile lv2ttl/$(LV2NAME).*.in
	@mkdir -p $(BUILDDIR)
	sed "s/@LV2NAME@/$(LV2NAME)/g;" \
		lv2ttl/$(LV2NAME).head.ttl.in > $(BUILDDIR)$(LV2NAME).ttl
	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Black Pearl Drumkit/g;s/@VARIANT@/BlackPearl/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
	cat \
		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Red Zeppelin Drumkit/g;s/@VARIANT@/RedZeppelin/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
	cat \
		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Black Pearl Drumkit Multi/g;s/@VARIANT@/BlackPearlMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
	sed "s/@LV2NAME@/$(LV2NAME)/g" \
		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Red Zeppelin Drumkit Multi/g;s/@VARIANT@/RedZeppelinMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
	sed "s/@LV2NAME@/$(LV2NAME)/g" \
		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
ifneq ($(BUILDOPENGL), no)
	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/" \
	    lv2ttl/$(LV2NAME).gui.in >> $(BUILDDIR)$(LV2NAME).ttl
endif

$(BUILDDIR)%.sf2:
	cp -v sf2/$(*F).sf2 $@

FLUID_SRC = \
            fluidsynth/src/fluid_adsr_env.c \
            fluidsynth/src/fluid_chan.c \
            fluidsynth/src/fluid_chorus.c \
            fluidsynth/src/fluid_conv.c \
            fluidsynth/src/fluid_defsfont.c \
            fluidsynth/src/fluid_event.c \
            fluidsynth/src/fluid_gen.c \
            fluidsynth/src/fluid_hash.c \
            fluidsynth/src/fluid_iir_filter.c \
            fluidsynth/src/fluid_lfo.c \
            fluidsynth/src/fluid_list.c \
            fluidsynth/src/fluid_midi.c \
            fluidsynth/src/fluid_mod.c \
            fluidsynth/src/fluid_rev.c \
            fluidsynth/src/fluid_ringbuffer.c \
            fluidsynth/src/fluid_rvoice.c \
            fluidsynth/src/fluid_rvoice_dsp.c \
            fluidsynth/src/fluid_rvoice_event.c \
            fluidsynth/src/fluid_rvoice_mixer.c \
            fluidsynth/src/fluid_samplecache.c \
            fluidsynth/src/fluid_settings.c \
            fluidsynth/src/fluid_sffile.c \
            fluidsynth/src/fluid_sfont.c \
            fluidsynth/src/fluid_synth.c \
            fluidsynth/src/fluid_synth_monopoly.c \
            fluidsynth/src/fluid_sys.c \
            fluidsynth/src/fluid_tuning.c \
            fluidsynth/src/fluid_voice.c

CPPFLAGS += -Ifluidsynth -I fluidsynth/fluidsynth -DHAVE_CONFIG_H -D DEFAULT_SOUNDFONT=\"\"
DSP_SRC  = src/$(LV2NAME).c $(FLUID_SRC)
DSP_DEPS = $(DSP_SRC) src/$(LV2NAME).h src/midnam.h
GUI_DEPS = gui/$(LV2NAME).c src/$(LV2NAME).h

$(BUILDDIR)$(LV2NAME)$(LIB_EXT): $(DSP_DEPS) Makefile
	@mkdir -p $(BUILDDIR)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LIC_CFLAGS) -std=gnu99 \
	  -o $(BUILDDIR)$(LV2NAME)$(LIB_EXT) $(DSP_SRC) \
	  -shared $(LV2LDFLAGS) $(LDFLAGS) $(LOADLIBES) $(LIC_LOADLIBES)
	$(STRIP) $(STRIPFLAGS) $(BUILDDIR)$(LV2NAME)$(LIB_EXT)

ifneq ($(BUILDOPENGL), no)
 -include $(RW)robtk.mk
endif

$(BUILDDIR)$(LV2GUI)$(LIB_EXT): gui/$(LV2NAME).c

###############################################################################
# install/uninstall/clean target definitions

install: install-bin

uninstall: uninstall-bin

install-bin: all
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -m644 $(BUILDDIR)manifest.ttl $(BUILDDIR)$(LV2NAME).ttl $(BUILDDIR)*.sf2 $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -m755 $(BUILDDIR)$(LV2NAME)$(LIB_EXT) $(DESTDIR)$(LV2DIR)/$(BUNDLE)
ifneq ($(BUILDOPENGL), no)
	install -m755 $(BUILDDIR)$(LV2GUI)$(LIB_EXT) $(DESTDIR)$(LV2DIR)/$(BUNDLE)
endif

uninstall-bin:
	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/manifest.ttl
	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2NAME).ttl
	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/*.sf2
	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2NAME)$(LIB_EXT)
	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2GUI)$(LIB_EXT)
	-rmdir $(DESTDIR)$(LV2DIR)/$(BUNDLE)

install-man:

uninstall-man:

clean:
	rm -f $(BUILDDIR)manifest.ttl $(BUILDDIR)$(LV2NAME).ttl \
	  $(BUILDDIR)$(LV2NAME)$(LIB_EXT) \
	  $(BUILDDIR)$(LV2GUI)$(LIB_EXT) \
	  $(BUILDDIR)*.sf2
	rm -rf $(BUILDDIR)*.dSYM
	rm -rf $(APPBLD)x42-*
	-test -d $(APPBLD) && rmdir $(APPBLD) || true
	-test -d $(BUILDDIR) && rmdir $(BUILDDIR) || true

distclean: clean
	rm -f cscope.out cscope.files tags

.PHONY: clean all install uninstall distclean \
        install-bin uninstall-bin \
        submodule_check submodules submodule_update submodule_pull

=== debian/changelog ===
avldrums.lv2 (0.4.1-0ubuntu1) focal; urgency=medium

  [ Erich Eickmeyer ]
  * Initial Release

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 16 Nov 2019 11:12:19 -0800

=== debian/control ===
Source: avldrums.lv2
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 libftgl-dev,
 lv2-dev,
 libcairo2-dev,
 libpango1.0-dev
Standards-Version: 4.4.0
Vcs-Git: https://github.com/x42/avldrums.lv2.git
Vcs-Browser: https://github.com/x42/avldrums.lv2
Homepage: https://github.com/x42/avldrums.lv2

Package: avldrums.lv2
Architecture: amd64 arm64 armhf i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 avldrums.lv2-data (= ${source:Version})
Provides:
 lv2-plugin, vst-plugin
Description: Drum Sample Player Plugin
 avldrums.lv2 is a simple Drum Sample Player Plugin,
 dedicated to the http://www.bandshed.net/avldrumkits/
 .
 This package provides the LV2 plugin.

Package: avldrums.lv2-data
Architecture: all
Depends:
 ${misc:Depends},
Description: Drum Sample Player Plugin - data
 avldrums.lv2 is a simple Drum Sample Player Plugin,
 dedicated to the http://www.bandshed.net/avldrumkits/
 .
 This package provides soundfonts files.

=== debian/rules ===
#!/usr/bin/make -f

FLAGS  = -O3 -ffast-math -fPIC -DPIC -fvisibility=hidden -fdata-sections -ffunction-sections -DNDEBUG
ifeq ($(DEB_HOST_ARCH),armhf)
FLAGS += -march=armv7ve -mcpu=cortex-a7 -mfloat-abi=hard -mfpu=neon-vfpv4
else ifeq ($(DEB_HOST_ARCH),arm64)
FLAGS += -march=armv8-a -mcpu=cortex-a53
else
FLAGS += -mtune=generic -msse -msse2 -mfpmath=sse
endif

export CFLAGS=$(FLAGS)
export CXXFLAGS=$(FLAGS) -fvisibility-inlines-hidden
export CPPFLAGS=
export LDFLAGS=-Wl,-O1 -Wl,--as-needed -Wl,--no-undefined -Wl,--gc-sections -Wl,--strip-all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr

override_dh_auto_build:
	$(MAKE) OPTIMIZATIONS= PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr

	mkdir -p $(CURDIR)/debian/avldrums.lv2/usr/lib/vst/

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/x42/avldrums.lv2/releases .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## avldrums.lv2 0.4.2~repack1

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 MANDIR ?= $(PREFIX)/share/man/man1
 # see http://lv2plug.in/pages/filesystem-hierarchy-standard.html, don't use libdir
 LV2DIR ?= $(PREFIX)/lib/lv2
+PKG_CONFIG ?= pkg-config
 
 OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 CFLAGS ?= -Wall -g -Wno-unused-function
@@ -54,7 +55,7 @@
   PUGL_SRC=$(RW)pugl/pugl_x11.c
   PKG_GL_LIBS=glu gl
   GLUILIBS=-lX11
-  GLUICFLAGS+=`pkg-config --cflags glu`
+  GLUICFLAGS+=`$(PKG_CONFIG) --cflags glu`
   STRIPFLAGS= -s
   EXTENDED_RE=-r
 endif
@@ -102,26 +103,26 @@
 
 ###############################################################################
 # check for build-dependencies
-ifeq ($(shell pkg-config --exists lv2 || echo no), no)
+ifeq ($(shell $(PKG_CONFIG) --exists lv2 || echo no), no)
   $(error "LV2 SDK was not found")
 endif
 
-ifeq ($(shell pkg-config --atleast-version=1.6.0 lv2 || echo no), no)
+ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.6.0 lv2 || echo no), no)
   $(error "LV2 SDK needs to be version 1.6.0 or later")
 endif
 
-ifeq ($(shell pkg-config --exists glib-2.0 || echo no), no)
+ifeq ($(shell $(PKG_CONFIG) --exists glib-2.0 || echo no), no)
   $(error "glib-2.0 was not found.")
 endif
 
 ifneq ($(BUILDOPENGL), no)
- ifeq ($(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) || echo no), no)
+ ifeq ($(shell $(PKG_CONFIG) --exists pango cairo $(PKG_GL_LIBS) || echo no), no)
   $(error "This plugin requires cairo pango $(PKG_GL_LIBS)")
  endif
 endif
 
 # check for lv2_atom_forge_object  new in 1.8.1 deprecates lv2_atom_forge_blank
-ifeq ($(shell pkg-config --atleast-version=1.8.1 lv2 && echo yes), yes)
+ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.8.1 lv2 && echo yes), yes)
   override CFLAGS += -DHAVE_LV2_1_8
 endif
 
@@ -149,17 +150,17 @@
 
 # add library dependent flags and libs
 override CFLAGS += $(OPTIMIZATIONS) -DVERSION="\"$(avldrums_VERSION)\""
-override CFLAGS += `pkg-config --cflags lv2 glib-2.0`
+override CFLAGS += `$(PKG_CONFIG) --cflags lv2 glib-2.0`
 ifeq ($(XWIN),)
 override CFLAGS += -fPIC -fvisibility=hidden
 else
 override CFLAGS += -DPTW32_STATIC_LIB
 endif
-override LOADLIBES += `pkg-config $(PKG_UI_FLAGS) --libs glib-2.0`
-
-
-GLUICFLAGS+=`pkg-config --cflags cairo pango` $(CFLAGS)
-GLUILIBS+=`pkg-config $(PKG_UI_FLAGS) --libs cairo pango pangocairo $(PKG_GL_LIBS)`
+override LOADLIBES += `$(PKG_CONFIG) $(PKG_UI_FLAGS) --libs glib-2.0`
+
+
+GLUICFLAGS+=`$(PKG_CONFIG) --cflags cairo pango` $(CFLAGS)
+GLUILIBS+=`$(PKG_CONFIG) $(PKG_UI_FLAGS) --libs cairo pango pangocairo $(PKG_GL_LIBS)`
 
 ifneq ($(XWIN),)
 GLUILIBS+=-lpthread -lusp10

=== debian/changelog ===
avldrums.lv2 (0.4.2~repack1-1) unstable; urgency=medium

  * New upstream version 0.4.2~repack1
    + Repack with current robtk submodule @ 52e7789
  * Update patchset, Drop cross patch, applied by upstream
  * Update d/copyright year
  * Mark avldrums.lv2-soundfont as M-A foreign

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 18 Jan 2021 22:25:14 +0100

avldrums.lv2 (0.4.1-2) unstable; urgency=medium

  * Team upload
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Dec 2020 17:26:34 +0100

avldrums.lv2 (0.4.1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Initial release (Closes: #849786)

  [ Dennis Braun ]
  * Merge with ubuntu release 0.4.1-0ubuntu1
  * Rename avldrums.lv2-data to avldrums.lv2-soundfont
  * Install soundfonts to /usr/share/sounds/sf2/
  * Extend the package description
  * Use dh-compat instead of d/compat and bump to 13
  * Add me as uploader
  * Bump S-V to 4.5.0
  * Set Vcs-* to salsa
  * Set RRR: no
  * Set the Architecture for the avldrums.lv2 package to any
  * Set http>https in d/control & d/copyright
  * Update d/copyright year
  * Add myself to the d/ section in d/copyright
  * Add full CC-BY-SA-3.0 license to d/copyright
  * d/gbp.conf: Remove wrong compression
  * d/rules: Get upstream version with pkg-info.mk
  * Remove obsolete linker flags in d/rules
  * Fix cross building
  * Fix stripping
  * Add lintian-overrides
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 24 Oct 2020 20:20:19 +0200

=== debian/control ===
Source: avldrums.lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libftgl-dev,
 lv2-dev,
 libcairo2-dev,
 libpango1.0-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
Homepage: https://github.com/x42/avldrums.lv2
Rules-Requires-Root: no

Package: avldrums.lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 avldrums.lv2-soundfont (= ${source:Version})
Provides:
 lv2-plugin
Description: Drum Sample Player Plugin
 avldrums.lv2 is a drum sample player plugin dedicated to Glen MacArthur's
 AVLdrums. This self-contained plugin provides a convenient way to rapidly
 sequence and mix midi-drums.
 .
 AVLdrums comes as two separate drumkits: Black Pearl and Red Zeppelin.  There
 are 5 velocity layers for each of the 28 kits pieces or drum-zones for both
 kits.
 .
 This package provides the LV2 plugin.

Package: avldrums.lv2-soundfont
Architecture: all
Multi-Arch: foreign
Breaks: avldrums.lv2-data (<< 0.4.1-1)
Replaces: avldrums.lv2-data (<< 0.4.1-1)
Depends:
 ${misc:Depends},
Description: Drum Sample Player Plugin - Soundfonts
 avldrums.lv2 is a drum sample player plugin dedicated to Glen MacArthur's
 AVLdrums. This self-contained plugin provides a convenient way to rapidly
 sequence and mix midi-drums.
 .
 AVLdrums comes as two separate drumkits: Black Pearl and Red Zeppelin.  There
 are 5 velocity layers for each of the 28 kits pieces or drum-zones for both
 kits.
 .
 This package provides soundfonts files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

export avldrums_VERSION = $(DEB_VERSION_UPSTREAM) | cut -d~ -f1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export OPTIMIZATIONS= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
export PKG_CONFIG ?= pkg-config
export PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/avldrums.lv2-soundfont/usr/lib/lv2/avldrums.lv2/

=== debian/watch ===
version=4
opts=dversionmangle=s/~repack.*// \
https://github.com/x42/avldrums.lv2/releases .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## avldrums.lv2 0.5.0

=== debian/changelog ===
avldrums.lv2 (0.5.0-1) unstable; urgency=medium

  [ Sam Q ]
  * Fix error for searching upstream

  [ Dennis Braun ]
  * New upstream version 0.5.0
  * Bump Standards Version to 4.6.1
  * d/copyright: Remove superfluous-file-pattern robtk/pugl/pugl_osx.m
  * d/copyright: Bump my copyright year
  * Update lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 28 Aug 2022 23:56:02 +0200

## avldrums.lv2 0.5.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 LV2DIR ?= $(PREFIX)/lib/lv2
 PKG_CONFIG ?= pkg-config
 
-OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 CFLAGS ?= -Wall -g -Wno-unused-function
 STRIP  ?= strip
 
@@ -19,6 +18,22 @@
 
 avldrums_VERSION?=$(shell git describe --tags HEAD 2>/dev/null | sed 's/-g.*$$//;s/^v//' || echo "LV2")
 RW ?= robtk/
+
+###############################################################################
+
+MACHINE=$(shell uname -m)
+ifneq (,$(findstring x64,$(MACHINE)))
+  HAVE_SSE=yes
+endif
+ifneq (,$(findstring 86,$(MACHINE)))
+  HAVE_SSE=yes
+endif
+
+ifeq ($(HAVE_SSE),yes)
+  OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse --fast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
+else
+  OPTIMIZATIONS ?= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
+endif
 
 ###############################################################################
 
@@ -42,7 +57,7 @@
   LIB_EXT=.dylib
   EXE_EXT=
   UI_TYPE=ui:CocoaUI
-  PUGL_SRC=$(RW)pugl/pugl_osx.m
+  PUGL_SRC=$(RW)pugl/pugl_osx.mm
   PKG_GL_LIBS=
   GLUILIBS=-framework Cocoa -framework OpenGL -framework CoreFoundation
   STRIPFLAGS=-u -r -arch all -s $(RW)lv2syms
@@ -230,6 +245,7 @@
 endif
 
 $(BUILDDIR)%.sf2:
+	@mkdir -p $(BUILDDIR)
 	cp -v sf2/$(*F).sf2 $@
 
 FLUID_SRC = \

=== debian/changelog ===
avldrums.lv2 (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Add missing submodule robtk to d/missing-sources
  * Update d/copyright: remove comment, sort entries
  * Refresh strip patch
  * Do not check for build dependencies, fix to build source package
  * Use execute_after_dh_auto_install instead of override_dh_auto_install

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 04 Nov 2022 23:03:18 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  lv2-dev,
  libcairo2-dev,
  libpango1.0-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
 Homepage: https://github.com/x42/avldrums.lv2

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 %:
 	dh $@
 
-override_dh_auto_install:
-	dh_auto_install
+execute_before_dh_auto_configure:
+	cp -fr debian/missing-sources/robtk .
+
+execute_after_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/avldrums.lv2-soundfont/usr/lib/lv2/avldrums.lv2/

## avldrums.lv2 0.5.2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 endif
 
 ifeq ($(HAVE_SSE),yes)
-  OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse --fast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
+  OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 else
   OPTIMIZATIONS ?= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 endif

=== debian/changelog ===
avldrums.lv2 (0.5.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #1026424)

  [ Dennis Braun ]
  * Bump Standards-Version to 4.6.2
  * Update my email address

 -- Dennis Braun <snd@debian.org>  Fri, 06 Jan 2023 23:07:37 +0100

avldrums.lv2 (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 25 Nov 2022 17:55:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -12,7 +12,7 @@
  lv2-dev,
  libcairo2-dev,
  libpango1.0-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
 Homepage: https://github.com/x42/avldrums.lv2

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export OPTIMIZATIONS= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 export PKG_CONFIG ?= pkg-config
 export PREFIX=/usr
+export STRIP = /bin/true
 
 %:
 	dh $@

## avldrums.lv2 0.7.2

=== debian/changelog ===
avldrums.lv2 (0.7.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:39:35 +0000

avldrums.lv2 (0.7.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:52:13 +0000

avldrums.lv2 (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:53:06 +0200

avldrums.lv2 (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Link the new Buskmans_Holiday_LV2.sf2
  * Clean modified files after build (Closes: #1043642)

 -- Dennis Braun <snd@debian.org>  Sun, 17 Sep 2023 17:47:28 +0200

avldrums.lv2 (0.6.1-2) unstable; urgency=medium

  * Create links for the new soundfonts (Closes: #1043325)
    + Thanks to Matthew Cope!

 -- Dennis Braun <snd@debian.org>  Fri, 11 Aug 2023 07:34:26 +0200

avldrums.lv2 (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Build with robtk from debian archive
  * Refresh patchset
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 08 Aug 2023 21:21:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: avldrums.lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Dennis Braun <snd@debian.org>
@@ -11,7 +12,8 @@
  libftgl-dev,
  lv2-dev,
  libcairo2-dev,
- libpango1.0-dev
+ libpango1.0-dev,
+ robtk
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@
 
 execute_before_dh_auto_configure:
-	cp -fr debian/missing-sources/robtk .
+	cp -fr /usr/share/robtk .
 
 execute_after_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/avldrums.lv2-soundfont/usr/lib/lv2/avldrums.lv2/

## avldrums.lv2 0.7.3

=== Makefile ===
--- 
+++ 
@@ -104,6 +104,9 @@
 
 targets+=$(BUILDDIR)Red_Zeppelin_4_LV2.sf2
 targets+=$(BUILDDIR)Black_Pearl_4_LV2.sf2
+targets+=$(BUILDDIR)Blonde_Bop_LV2.sf2
+targets+=$(BUILDDIR)Blonde_Bop_HR_LV2.sf2
+targets+=$(BUILDDIR)Buskmans_Holiday_LV2.sf2
 
 UITTL=
 ifneq ($(BUILDOPENGL), no)
@@ -139,6 +142,10 @@
 # check for lv2_atom_forge_object  new in 1.8.1 deprecates lv2_atom_forge_blank
 ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.8.1 lv2 && echo yes), yes)
   override CFLAGS += -DHAVE_LV2_1_8
+endif
+
+ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.18.6 lv2 && echo yes), yes)
+  override CFLAGS += -DHAVE_LV2_1_18_6
 endif
 
 ifneq ($(BUILDOPENGL), no)
@@ -231,6 +238,14 @@
 		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	cat \
 		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop Drumkit/g;s/@VARIANT@/BlondeBop/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	cat \
+		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop HotRod Drumkit/g;s/@VARIANT@/BlondeBopHR/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	cat \
+		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Black Pearl Drumkit Multi/g;s/@VARIANT@/BlackPearlMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
 		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	sed "s/@LV2NAME@/$(LV2NAME)/g" \
@@ -239,12 +254,24 @@
 		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	sed "s/@LV2NAME@/$(LV2NAME)/g" \
 		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop Drumkit Multi/g;s/@VARIANT@/BlondeBopMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g" \
+		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop HotRod Drumkit Multi/g;s/@VARIANT@/BlondeBopHRMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g" \
+		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Buskman's Holiday Percussion/g;s/@VARIANT@/BuskmansHoliday/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	cat \
+		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 ifneq ($(BUILDOPENGL), no)
 	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/" \
 	    lv2ttl/$(LV2NAME).gui.in >> $(BUILDDIR)$(LV2NAME).ttl
 endif
 
-$(BUILDDIR)%.sf2:
+$(BUILDDIR)%.sf2: sf2/%.sf2
 	@mkdir -p $(BUILDDIR)
 	cp -v sf2/$(*F).sf2 $@
 
@@ -280,62 +307,12 @@
 
 CPPFLAGS += -Ifluidsynth -I fluidsynth/fluidsynth -DHAVE_CONFIG_H -D DEFAULT_SOUNDFONT=\"\"
 DSP_SRC  = src/$(LV2NAME).c $(FLUID_SRC)
-DSP_DEPS = $(DSP_SRC) src/$(LV2NAME).h src/midnam.h
-GUI_DEPS = gui/$(LV2NAME).c src/$(LV2NAME).h
+DSP_DEPS = $(DSP_SRC) src/$(LV2NAME).h
+GUI_DEPS = gui/$(LV2NAME).c src/$(LV2NAME).h gui/cairoblur.h \
+           gui/black_pearl.map.h gui/black_pearl.png.h \
+           gui/red_zeppelin.map.h gui/red_zeppelin.png.h \
+           gui/buskman.map.h gui/buskman.png.h \
+           gui/blonde_bop.map.h gui/blonde_bop_hr.png.h gui/blonde_bop.png.h
 
 $(BUILDDIR)$(LV2NAME)$(LIB_EXT): $(DSP_DEPS) Makefile
 	@mkdir -p $(BUILDDIR)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LIC_CFLAGS) -std=gnu99 \
-	  -o $(BUILDDIR)$(LV2NAME)$(LIB_EXT) $(DSP_SRC) \
-	  -shared $(LV2LDFLAGS) $(LDFLAGS) $(LOADLIBES) $(LIC_LOADLIBES)
-	$(STRIP) $(STRIPFLAGS) $(BUILDDIR)$(LV2NAME)$(LIB_EXT)
-
-ifneq ($(BUILDOPENGL), no)
- -include $(RW)robtk.mk
-endif
-
-$(BUILDDIR)$(LV2GUI)$(LIB_EXT): gui/$(LV2NAME).c
-
-###############################################################################
-# install/uninstall/clean target definitions
-
-install: install-bin
-
-uninstall: uninstall-bin
-
-install-bin: all
-	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-	install -m644 $(BUILDDIR)manifest.ttl $(BUILDDIR)$(LV2NAME).ttl $(BUILDDIR)*.sf2 $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-	install -m755 $(BUILDDIR)$(LV2NAME)$(LIB_EXT) $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-ifneq ($(BUILDOPENGL), no)
-	install -m755 $(BUILDDIR)$(LV2GUI)$(LIB_EXT) $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-endif
-
-uninstall-bin:
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/manifest.ttl
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2NAME).ttl
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/*.sf2
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2NAME)$(LIB_EXT)
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2GUI)$(LIB_EXT)
-	-rmdir $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-
-install-man:
-
-uninstall-man:
-
-clean:
-	rm -f $(BUILDDIR)manifest.ttl $(BUILDDIR)$(LV2NAME).ttl \
-	  $(BUILDDIR)$(LV2NAME)$(LIB_EXT) \
-	  $(BUILDDIR)$(LV2GUI)$(LIB_EXT) \
-	  $(BUILDDIR)*.sf2
-	rm -rf $(BUILDDIR)*.dSYM
-	rm -rf $(APPBLD)x42-*
-	-test -d $(APPBLD) && rmdir $(APPBLD) || true
-	-test -d $(BUILDDIR) && rmdir $(BUILDDIR) || true
-
-distclean: clean
-	rm -f cscope.out cscope.files tags
-
-.PHONY: clean all install uninstall distclean \
-        install-bin uninstall-bin \
-        submodule_check submodules submodule_update submodule_pull

=== debian/changelog ===
avldrums.lv2 (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * Build with robtk 0.8.5
  * Bump Standards-Version to 4.7.0
  * Change B-D from pkg-config to pkgconf
  * Use the default ci config from salsa
  * Apply wrap-and-sort -ast
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Tue, 23 Jul 2024 13:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: avldrums.lv2
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <snd@debian.org>
+ Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ libcairo2-dev,
  libftgl-dev,
+ libpango1.0-dev,
  lv2-dev,
- libcairo2-dev,
- libpango1.0-dev,
- robtk
-Standards-Version: 4.6.2
+ pkgconf,
+ robtk,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
 Homepage: https://github.com/x42/avldrums.lv2
@@ -23,11 +22,11 @@
 Package: avldrums.lv2
 Architecture: any
 Depends:
+ avldrums.lv2-soundfont (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- avldrums.lv2-soundfont (= ${source:Version})
 Provides:
- lv2-plugin
+ lv2-plugin,
 Description: Drum Sample Player Plugin
  avldrums.lv2 is a drum sample player plugin dedicated to Glen MacArthur's
  AVLdrums. This self-contained plugin provides a convenient way to rapidly
@@ -42,8 +41,10 @@
 Package: avldrums.lv2-soundfont
 Architecture: all
 Multi-Arch: foreign
-Breaks: avldrums.lv2-data (<< 0.4.1-1)
-Replaces: avldrums.lv2-data (<< 0.4.1-1)
+Breaks:
+ avldrums.lv2-data (<< 0.4.1-1),
+Replaces:
+ avldrums.lv2-data (<< 0.4.1-1),
 Depends:
  ${misc:Depends},
 Description: Drum Sample Player Plugin - Soundfonts

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/avldrums.lv2-$1\.tar\.gz/ \
  https://github.com/x42/avldrums.lv2/tags .*/v?(\d\S+)\.tar\.gz
